package GEmeTool::Config;

use v5.16.3;

use strict;
use warnings;

use Moo;
use Path::Tiny;

my $dist = 'GEmeTool';

sub config_dir {
    my $class = shift;
    my $config_dir = path($class->find_home)->child('.gemetool/config');
    $config_dir->mkpath;
    return $config_dir;
}

sub data_dir {
    my $class = shift;
    my $data_dir = path($class->find_home)->child('.gemetool/data');
    $data_dir->mkpath;
    return $data_dir;
}

sub find_home {
    if (defined $ENV{HOME}) {
        return $ENV{HOME};
    }
    if (defined $ENV{USERPROFILE}) {
        return $ENV{USERPROFILE};
    }
    return path('.')->absolute;
}
1;
